unit Zoomrot2;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, VBXCtrl, StdCtrls, FileCtrl, Accuv5gl, Printers;

type
  TForm1 = class(TForm)
    AccuSoft1: TAccuSoft;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    DriveComboBox1: TDriveComboBox;
    FilterComboBox1: TFilterComboBox;
    DirectoryListBox1: TDirectoryListBox;
    FileListBox1: TFileListBox;
    Button5: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure FileListBox1Change(Sender: TObject);
    procedure DriveComboBox1Change(Sender: TObject);
    procedure DirectoryListBox1Change(Sender: TObject);
    procedure FilterComboBox1Change(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
     AccuSoft1.Zoom := AccuSoft1.Zoom + 25
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
     AccuSoft1.Zoom := AccuSoft1.Zoom - 25
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
     AccuSoft1.Rotate := 9000
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
     AccuSoft1.Rotate := 27000
end;

procedure TForm1.FileListBox1Change(Sender: TObject);
begin
     AccuSoft1.AspectRatio := True;
     AccuSoft1.Image := FileListBox1.FileName
end;

procedure TForm1.DriveComboBox1Change(Sender: TObject);
begin
     DirectoryListBox1.Drive := DriveComboBox1.Drive
end;

procedure TForm1.DirectoryListBox1Change(Sender: TObject);
begin
     FileListBox1.Directory := DirectoryListBox1.Directory
end;

procedure TForm1.FilterComboBox1Change(Sender: TObject);
begin
     FileListBox1.Mask := FilterComboBox1.Mask
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
     Printer.BeginDoc;
     AccuSoft1.PrintImage := Printer.Handle;
     Printer.EndDoc
end;

end.
